<style>
    form {
        padding: 5px;
    }

    mat-form-field {
        width: 300px;
    }
</style>

<button
    mat-raised-button
    routerLink="/projekcije">
        back
</button>

<section
    fxLayout="column"
    fxLayoutAlign="center center">
    <h2>Update projekcija</h2>
    <hr>
    <form
        fxLayout="column"
        fxLayoutAlign="center center"
        (ngSubmit)="f.valid && onSubmit(f)"
        #f="ngForm">
            <mat-form-field>
                <mat-label>sala</mat-label>
                <input 
                    matInput
                    type="text"
                    [(ngModel)]="this.projekcija.sala"
                    name="sala"
                    required>
            </mat-form-field>

            <mat-form-field>
                <mat-label>pocetak</mat-label>

                <input ngModel name="pocetak" matInput [matDatepicker]="picker" required>

                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
            </mat-form-field>

            <mat-form-field>
                <mat-label>sati</mat-label>
                <input 
                    matInput
                    type="number"
                    ngModel
                    name="sati"
                    min="0"
                    max="23"
                    required>
            </mat-form-field>

            <mat-form-field>
                <mat-label>minute</mat-label>
                <input 
                    matInput
                    type="number"
                    ngModel
                    name="minute"
                    min="0"
                    max="59"
                    required>
            </mat-form-field>

            <mat-form-field>
                <mat-label>film</mat-label>
                <mat-select [(ngModel)]="this.projekcija.filmId" name="filmId" required>
                  <mat-option *ngFor="let film of filmovi" [value]="film.id">
                    {{film.naziv}}
                  </mat-option>
                </mat-select>
            </mat-form-field>

            <button
                mat-button
                type="submit">
                    Submit
            </button>
    </form>
</section>